#include <bits/stdc++.h>
#define ll long long
#include "guess.h"
using namespace std;
int find_number (int MAX)
{
    int l=1, r=MAX;
    while (l<r)
    {
        int mid=l+(r-l)/2;
        if (smaller(mid))
        {
            r=mid;
        }
        else l=mid+1;
    }
    return l-1;
}